Firefox Security Bug --- FYI

Even hear this on an all news radio station.

Mozilla has warned Firefox users to update their browser to the latest version after security researchers found a vulnerability that hackers were actively exploiting in “targeted attacks” against users.

Now, I don’t know if this was for just Windows Firefox or all versions, but I found a security update today (01/11/20) under the ‘Update Manager’ for Firefox for Linux Mint.

1 Like

i read something on reddit about the same time i saw this comment. i just got around to grabbing the update myself a few hours ago. thanks for the heads-up :slight_smile:

It’s because of the unsafe programming languages that are being partly used by Firefox. If the whole program would’ve been rewritten in Rust, the bug would be impossible to happen, except its compiler had a hugely visible bug…

Just curious, what browser do you use?

I use Firefox, as well.

FYI - I barely use Firefox at all… when I do - it’s via the TOR version/fork - or - Firefox 52.0 “ESR”, 'cause in my job I need Flash and Java (lame “enterprise” web apps that feel like websites from pre Y2K, and only work with certain ancient version of Java) - and I don’t install it as a package, it’s a “portable” app I keep in my home folder… so I never update it…